List Node Groups Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/hetzner/{cluster_id}/node-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/hetzner/{cluster_id}/node-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/hetzner/{cluster_id}/node-groups \
--header 'Authorization: Bearer <token>'{
"node_groups": [
{
"count": 123,
"instance_type": "<string>",
"name": "<string>",
"availability_zones": [
"<string>"
],
"labels": {},
"max": 100,
"min": 0,
"taints": [
{
"effect": "NoSchedule",
"key": "<string>",
"value": ""
}
],
"zones": [
"<string>"
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Hetzner Clusters
List Node Groups Endpoint
GET
/
api
/
v1
/
clusters
/
hetzner
/
{cluster_id}
/
node-groups
List Node Groups Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/hetzner/{cluster_id}/node-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/hetzner/{cluster_id}/node-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/hetzner/{cluster_id}/node-groups \
--header 'Authorization: Bearer <token>'{
"node_groups": [
{
"count": 123,
"instance_type": "<string>",
"name": "<string>",
"availability_zones": [
"<string>"
],
"labels": {},
"max": 100,
"min": 0,
"taints": [
{
"effect": "NoSchedule",
"key": "<string>",
"value": ""
}
],
"zones": [
"<string>"
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes